using HardwareShopClientApp.Models;
using HardwareShopContracts.BindingModels;
using HardwareShopContracts.ViewModels;
using HardwareShopDataModels.Enums;
using Microsoft.AspNetCore.Mvc;
using System.Data;
using System.Diagnostics;

namespace HardwareShopClientApp.Controllers
{
    public class WorkerController : Controller
    {
        private readonly ILogger<WorkerController> _logger;

        public WorkerController(ILogger<WorkerController> logger)
        {
            _logger = logger;
        }

        public IActionResult Comments()
        {
            return View();
        }

        public IActionResult listComponents()
        {
            return View();
        }

        public IActionResult MainWorker()
        {
            return View();
        }

        [HttpGet]
        public IActionResult Purchases()
        {
            return View();
        }

        [HttpPost]
        public void Purchases(int id)
        {
            Response.Redirect("Purchase");
        }


        [HttpGet]
        public IActionResult Purchase()
        {
            return View();
        }

        public IActionResult WorkerReport()
        {
            return View();
        }

        [HttpGet]
        public IActionResult Builds()
        {
            return View();
        }

        [HttpPost]
        public void Builds(int id)
        {
            Response.Redirect("LinkPurchase");
        }

        [HttpGet]
        public IActionResult LinkPurchase()
        {
            return View();
        }

    }
}
